# Uses of Interface
org.opensaml.xacml.policy.EnvironmentsType

Packages that use EnvironmentsType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of EnvironmentsType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return EnvironmentsType
Modifier and Type
Method
Description
`EnvironmentsType`
TargetType.`getEnvironments()`
Gets the environments of this target.
Methods in org.opensaml.xacml.policy with parameters of type EnvironmentsType
Modifier and Type
Method
Description
`void`
TargetType.`setEnvironments(EnvironmentsType environments)`
Sets the environments in the target.

## Uses of EnvironmentsType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement EnvironmentsType
Modifier and Type
Class
Description
`class`
`EnvironmentsTypeImpl`
Implementation of `EnvironmentsType`.
Fields in org.opensaml.xacml.policy.impl declared as EnvironmentsType
Modifier and Type
Field
Description
`private EnvironmentsType`
TargetTypeImpl.`environments`
The environments in the policy.
Methods in org.opensaml.xacml.policy.impl that return EnvironmentsType
Modifier and Type
Method
Description
`EnvironmentsType`
EnvironmentsTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`EnvironmentsType`
EnvironmentsTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`EnvironmentsType`
TargetTypeImpl.`getEnvironments()`
Gets the environments of this target.
Methods in org.opensaml.xacml.policy.impl with parameters of type EnvironmentsType
Modifier and Type
Method
Description
`void`
TargetTypeImpl.`setEnvironments(EnvironmentsType newEnvironments)`
Sets the environments in the target.